VSTGUI: VST3EditorDelegate Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | List of all members
VST3EditorDelegate Class Reference

Default adapter implementation for IVST3EditorDelegate. More...

`#include <vst3editor.h>`

Inheritance diagram for VST3EditorDelegate:

## Public Member Functions
CView * | createCustomView (UTF8StringPtr name, const UIAttributes &attributes, const IUIDescription *description, VST3Editor *editor) override
| create a custom view More...
CView * | verifyView (CView *view, const UIAttributes &attributes, const IUIDescription *description, VST3Editor *editor) override
| verify a view after it was created More...
bool | findParameter (const CPoint &pos, Steinberg::Vst::ParamID &paramID, VST3Editor *editor) override
| find a parameter More...
bool | isPrivateParameter (const Steinberg::Vst::ParamID paramID) override
| check if parameter ID is private and should not be exposed to the host More...
void | didOpen (VST3Editor *editor) override
| called after the editor was opened More...
void | willClose (VST3Editor *editor) override
| called before the editor will close More...
COptionMenu * | createContextMenu (const CPoint &pos, VST3Editor *editor) override
| create the context menu for the editor, will be added to the host menu More...
IController * | createSubController (UTF8StringPtr name, const IUIDescription *description, VST3Editor *editor) override
| called when a sub controller should be created. More...
void | onZoomChanged (VST3Editor *editor, double newZoom) override
| called when the user zoom factor of the editor was changed More...
Public Member Functions inherited from IVST3EditorDelegate
virtual | ~IVST3EditorDelegate ()=default
virtual CView * | createCustomView (UTF8StringPtr name, const UIAttributes &attributes, const IUIDescription *description, VST3Editor *editor)=0
| create a custom view More...
virtual CView * | verifyView (CView *view, const UIAttributes &attributes, const IUIDescription *description, VST3Editor *editor)=0
| verify a view after it was created More...
virtual bool | findParameter (const CPoint &pos, Steinberg::Vst::ParamID &paramID, VST3Editor *editor)=0
| find a parameter More...
virtual bool | isPrivateParameter (const Steinberg::Vst::ParamID paramID)=0
| check if parameter ID is private and should not be exposed to the host More...
virtual void | didOpen (VST3Editor *editor)=0
| called after the editor was opened More...
virtual void | willClose (VST3Editor *editor)=0
| called before the editor will close More...
virtual COptionMenu * | createContextMenu (const CPoint &pos, VST3Editor *editor)=0
| create the context menu for the editor, will be added to the host menu More...
virtual IController * | createSubController (UTF8StringPtr name, const IUIDescription *description, VST3Editor *editor)=0
| called when a sub controller should be created. More...
virtual void | onZoomChanged (VST3Editor *editor, double newZoom)=0
| called when the user zoom factor of the editor was changed More...

## Detailed Description

Default adapter implementation for IVST3EditorDelegate.

## Member Function Documentation

## ◆ createContextMenu()

COptionMenu * createContextMenu | ( | const CPoint & | pos,
|  | VST3Editor * | editor
| ) |  |
| inlineoverridevirtual

create the context menu for the editor, will be added to the host menu

Implements IVST3EditorDelegate.

## ◆ createCustomView()

CView * createCustomView | ( | UTF8StringPtr | name,
|  | const UIAttributes & | attributes,
|  | const IUIDescription * | description,
|  | VST3Editor * | editor
| ) |  |
| inlineoverridevirtual

create a custom view

Implements IVST3EditorDelegate.

## ◆ createSubController()

IController * createSubController | ( | UTF8StringPtr | name,
|  | const IUIDescription * | description,
|  | VST3Editor * | editor
| ) |  |
| inlineoverridevirtual

called when a sub controller should be created.

The controller is now owned by the editor, which will call forget() if it is a CBaseObject, release() if it is a Steinberg::FObject or it will be simply deleted if the frame gets closed.

Implements IVST3EditorDelegate.

## ◆ didOpen()

void didOpen | ( | VST3Editor * | editor | ) |
| inlineoverridevirtual

called after the editor was opened

Implements IVST3EditorDelegate.

## ◆ findParameter()

bool findParameter | ( | const CPoint & | pos,
|  | Steinberg::Vst::ParamID & | paramID,
|  | VST3Editor * | editor
| ) |  |
| inlineoverridevirtual

find a parameter

Implements IVST3EditorDelegate.

## ◆ isPrivateParameter()

bool isPrivateParameter | ( | const Steinberg::Vst::ParamID | paramID | ) |
| inlineoverridevirtual

check if parameter ID is private and should not be exposed to the host

Implements IVST3EditorDelegate.

## ◆ onZoomChanged()

void onZoomChanged | ( | VST3Editor * | editor,
|  | double | newZoom
| ) |  |
| inlineoverridevirtual

called when the user zoom factor of the editor was changed

Implements IVST3EditorDelegate.

## ◆ verifyView()

CView * verifyView | ( | CView * | view,
|  | const UIAttributes & | attributes,
|  | const IUIDescription * | description,
|  | VST3Editor * | editor
| ) |  |
| inlineoverridevirtual

verify a view after it was created

Implements IVST3EditorDelegate.

## ◆ willClose()

void willClose | ( | VST3Editor * | editor | ) |
| inlineoverridevirtual

called before the editor will close

Implements IVST3EditorDelegate.

The documentation for this class was generated from the following file:

- vst3editor.h